ISOTOVIDEO(1)

NAME
isotovideo - test the given assets/ISOs

SYNOPSIS
isotovideo [OPTIONS] [TEST PARAMETERS]

Parses command line parameters, vars.json and tests the given assets/ISOs.

OPTIONS

-d, --debug
    Enable direct output to STDERR instead of autoinst-log.txt

--workdir=
    isotovideo will chdir to that directory on startup

--color=[yes|no]
    Enable or disable color output explicitly. Defaults to "yes". Alternatively ANSI_COLORS_DISABLED or NO_COLOR can be set to any value to disable colors.

-v, --version
    Show the current program version and test API version

-e, -?, --exit-status-from-test-results
    isotovideo will exit with status 1 when a test module fails.

-h, -?, --help
    Show this help.

TEST PARAMETERS
All additional command line arguments specified in the "key=value" format are parsed as test parameters which take precedence over the settings in the vars.json file. Lower case key names are transformed into upper case automatically for convenience.

EXIT CODES

0 - SUCCESS
    isotovideo successfully executed a complete run. In the case of "--exit-status-from-test-results" flag additionally all test modules passed or softfailed.

1 - ERROR
    An error ocurred during the test execution related to a test backend failure.

100 - NO TEST MODULES SCHEDULED
    No test module was scheduled.

    This exit code can only be reported when invoked with the "--exit-status-from-test-results" flag.

101 - TEST MODULES FAILED
    At least one test module did not end with result "ok" or "softfail".

    This exit code can only be reported when invoked with the "--exit-status-from-test-results" flag.